apiVersion: v1
kind: Service
metadata:
  labels:
    app: webcatalog
  name: webcatalog
  namespace: abc-federation
spec:
  ports:
  - name: http
    port: 80
    targetPort: 3000
  selector:
    app: webcatalog
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: webcatalog
  name: webcatalog
  namespace: abc-federation
spec:
  replicas: 2
  selector:
    matchLabels:
      app: webcatalog
  template:
    metadata:
      labels:
        app: webcatalog
    spec:
      containers:
      - args: null
        image: registry.gitlab.com/gaia-x/data-infrastructure-federation-services/deployment-scenario/web-catalog:80f69cbf5f5a1341e153f41f259f725a9f4d22e0
        imagePullPolicy: IfNotPresent
        name: webcatalog
        ports:
        - containerPort: 8080
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/ingress.class: nginx
  name: webcatalog-dev
  namespace: abc-federation
spec:
  rules:
  - host: dev.webcatalog.gaia-x.community
    http:
      paths:
      - backend:
          service:
            name: webcatalog
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - dev.webcatalog.gaia-x.community
    secretName: ingress-webcatalog-dev-tls
